Package org.apache.groovy.parser.antlr4

# Class GroovyParser.ConditionalExprAltContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.ExpressionContext
org.apache.groovy.parser.antlr4.GroovyParser.ConditionalExprAltContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`, `NodeMetaDataHandler`

Enclosing class:
  GroovyParser

    public static class GroovyParser.ConditionalExprAltContext
    extends GroovyParser.ExpressionContext

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `GroovyParser.ExpressionContext` | `con` |
  `GroovyParser.ExpressionContext` | `fb` |
  `GroovyParser.ExpressionContext` | `tb` |

  ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

  `children, exception, start, stop`

  ### Fields inherited from class org.antlr.v4.runtime.RuleContext

  `invokingState, parent`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ConditionalExprAltContext​(GroovyParser.ExpressionContext ctx)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `<Result> Result` | `accept​(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `COLON()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `ELVIS()` |
  `java.util.List<? extends GroovyParser.ExpressionContext>` | `expression()` |
  `GroovyParser.ExpressionContext` | `expression​(int i)` |
  `java.util.List<? extends GroovyParser.NlsContext>` | `nls()` |
  `GroovyParser.NlsContext` | `nls​(int i)` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `QUESTION()` |

  ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.ExpressionContext

  `copyFrom, getRuleIndex`

  ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

  `getMetaDataMap, setMetaDataMap`

  ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

  `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, emptyContext, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

  ### Methods inherited from class org.antlr.v4.runtime.RuleContext

  `depth, getAltNumber, getChildContext, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Field Details

  - ### con

    public GroovyParser.ExpressionContext con

  - ### tb

    public GroovyParser.ExpressionContext tb

  - ### fb

    public GroovyParser.ExpressionContext fb

- ## Constructor Details

  - ### ConditionalExprAltContext

    public ConditionalExprAltContext​(GroovyParser.ExpressionContext ctx)

- ## Method Details

  - ### nls

    public java.util.List<? extends GroovyParser.NlsContext> nls()

  - ### nls

    public GroovyParser.NlsContext nls​(int i)

  - ### expression

    public java.util.List<? extends GroovyParser.ExpressionContext> expression()

  - ### expression

    public GroovyParser.ExpressionContext expression​(int i)

  - ### QUESTION

    public org.antlr.v4.runtime.tree.TerminalNode QUESTION()

  - ### COLON

    public org.antlr.v4.runtime.tree.TerminalNode COLON()

  - ### ELVIS

    public org.antlr.v4.runtime.tree.TerminalNode ELVIS()

  - ### accept

    public <Result> Result accept​(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)
    Specified by:
      `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
    Overrides:
      `accept` in class `org.antlr.v4.runtime.RuleContext`